/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.DetDiagramaAutobusDAO;
import com.rjconsultores.ventaboletos.entidad.DetDiagramaAutobus;

/**
 *
 * @author Administrador
 */
@Repository("detDiagramaAutobusDAO")
public class DetDiagramaAutobusHibernateDAO extends GenericHibernateDAO<DetDiagramaAutobus, Short> implements DetDiagramaAutobusDAO {

    @Autowired
    public DetDiagramaAutobusHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<DetDiagramaAutobus> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }

	@Override
	public DetDiagramaAutobus obtenerPorDiagramaAutobusAsiento(Integer diagramaAutobusId, String numAsiento) {
		Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("diagramaAutobus.diagramaautobusId", Short.valueOf(diagramaAutobusId.toString())));
        c.add(Restrictions.eq("asiento", numAsiento));

        return (DetDiagramaAutobus) c.uniqueResult();
	}
}
